Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etkra.protocol.v1
Class RevokeAndActivateRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v1.RequestType
          be.fgov.ehealth.etkra.protocol.v1.RevokeAndActivateRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:06:56+02:00",
               comments="JAXB RI v2.2.11")
    public class RevokeAndActivateRequest

extends RequestType
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}RequestType">
           <sequence>
             <element name="DistinguishedName" type="{urn:be:fgov:ehealth:etkra:protocol:v1}EhealthDistinguishedNameType"/>
             <element name="SignedCredentials" type="{urn:be:fgov:ehealth:etkra:protocol:v1}SignedCredentialsType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RevokeAndActivateRequest()`

Method Summary
`EhealthDistinguishedNameType` | `getDistinguishedName()` Gets the value of the distinguishedName property.
`SignedCredentialsType` | `getSignedCredentials()` Gets the value of the signedCredentials property.
`void` | `setDistinguishedName(EhealthDistinguishedNameType value)` Sets the value of the distinguishedName property.
`void` | `setSignedCredentials(SignedCredentialsType value)` Sets the value of the signedCredentials property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevokeAndActivateRequest

    public RevokeAndActivateRequest()

Method Detail

### getDistinguishedName

    public EhealthDistinguishedNameType getDistinguishedName()

  Gets the value of the distinguishedName property.

  Returns:
    possible object is `EhealthDistinguishedNameType`

### setDistinguishedName

    public void setDistinguishedName(EhealthDistinguishedNameType value)

  Sets the value of the distinguishedName property.

  Parameters:
    `value` - allowed object is `EhealthDistinguishedNameType`

### getSignedCredentials

    public SignedCredentialsType getSignedCredentials()

  Gets the value of the signedCredentials property.

  Returns:
    possible object is `SignedCredentialsType`

### setSignedCredentials

    public void setSignedCredentials(SignedCredentialsType value)

  Sets the value of the signedCredentials property.

  Parameters:
    `value` - allowed object is `SignedCredentialsType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPODOLOGIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.